java.io

## Interface FilenameFilter

-     public interface FilenameFilter

  Instances of classes that implement this interface are used to filter filenames. These instances are used to filter directory listings in the `list` method of class `File`, and by the Abstract Window Toolkit's file dialog component.
  Since:
    JDK1.0
  See Also:
    `FileDialog.setFilenameFilter(java.io.FilenameFilter)`, `File`, `File.list(java.io.FilenameFilter)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(File dir, String name)` Tests if a specified file should be included in a file list.

- - ### Method Detail

    - #### accept

          boolean accept(File dir,
                       String name)

      Tests if a specified file should be included in a file list.
      Parameters:
        `dir` - the directory in which the file was found.
        `name` - the name of the file.
      Returns:
        `true` if and only if the name should be included in the file list; `false` otherwise.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.